# RPM specfile for gnome-games module
# Generated Tue Oct 29 09:16:58 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.12.2.1 2002/09/23 16:40:27 jacob Exp $

%define nam	gnome-games
%define ver	2.0.4.0.200210290744
%define ximrev	1

Name:     	gnome-games2
Version: 	2.0.4.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	gnome-games-2.0.4.tar.gz
Summary:	A collection of games for GNOME
Group:		Amusements/Games
Provides:	gnome-games = %{PACKAGE_VERSION}
Provides:	ximian-gnome-games2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-games
Prereq:	scrollkeeper
Prereq:	GConf2

%description
The gnome-games package includes games for the GNOME GUI desktop
environment, including gtali, freecell, gnibbles, gnobots,
gnobots2, gnome-stones, gnomine, gnotravex, gtali, iagno,
mahjongg, same-gnome, and sol.

Install gnome-games if you want games to play within GNOME.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/etc/sound/
/usr/share/gnibbles
/usr/share/gnobots2
/usr/share/gnome-stones*
/usr/share/applications/*
/usr/share/gnome/help/*
/usr/*/locale/*
/usr/share/mime-info/*
/usr/share/pixmaps/*
/usr/share/sol-games/*
/usr/share/sounds/*
/usr/share/gnect
/usr/lib/lib*.so*
/usr/lib/gnome-stones/objects/lib*.so*
/usr/share/omf/gnome-games
/usr/bin/gnect
%defattr(2551, root, games)
/usr/bin/ctali
/usr/bin/freecell
/usr/bin/gataxx
/usr/bin/glines
/usr/bin/gnibbles
/usr/bin/gnobots2
/usr/bin/gnome-stones
/usr/bin/gnomine
/usr/bin/gnotravex
/usr/bin/gnotski
/usr/bin/gtali
/usr/bin/iagno
/usr/bin/mahjongg
/usr/bin/same-gnome
/usr/bin/sol
%config %attr(664, games, games) /var/lib/games/*.scores
%config /etc/gconf/schemas/*


%post
for schema in freecell gataxx gnect gnomine gtali iagno mahjongg same-gnome ; do GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/$schema.schemas ; done

%package -n gnome-games2-devel
Summary:	GNOME games development libraries.
Group:		Development/Libraries
Requires:	%{name} = %{PACKAGE_VERSION}
Provides:	gnome-games-devel = %{PACKAGE_VERSION}
Provides:	ximian-gnome-games2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-games-devel

%description -n gnome-games2-devel
The gnome-games-devel package installs the libraries and files needed
to develop games for the GNOME GUI desktop environment.

Install gnome-games-devel if you're developing games for GNOME.

%files -n gnome-games2-devel
%defattr(-, root, root)
/usr/lib/*a
/usr/lib/gnome-stones/objects/*a
/usr/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-games-2.0.4
    ;;
all)
%setup  -q -n gnome-games-2.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --localstatedir=/var/lib
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 1:2.0.4.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

